Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.util
Class ParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.htmlparser.util.ChainedException
                  org.htmlparser.util.ParserException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  EncodingChangeException

    public class ParserException

extends ChainedException

Library-specific support for chained exceptions.

See Also:
  `ChainedException`, Serialized Form

Field Summary

Fields inherited from class org.htmlparser.util.ChainedException
`throwable`

Constructor Summary
`ParserException()`
`ParserException(String message)`
`ParserException(String message, Throwable throwable)`
`ParserException(Throwable throwable)`

Method Summary

Methods inherited from class org.htmlparser.util.ChainedException
`getMessageChain, getMessageList, getThrowable, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserException

    public ParserException()

### ParserException

    public ParserException(String message)

### ParserException

    public ParserException(Throwable throwable)

### ParserException

    public ParserException(String message,
                           Throwable throwable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |